/******************************************************************************
 J2DDataPoint.cc

 ******************************************************************************/

#include <J2DDataPoint.h>
#include <iostream.h>
#include <jAssert.h>

/******************************************************************************
 Stream operators for J2DDataPoint

 ******************************************************************************/

istream&
operator>>
	(
	istream&	input,
	J2DDataPoint&		pt
	)
{
	input >> pt.x >> pt.xerr >> pt.xmerr >>pt.y >> pt.yerr >> pt.ymerr;
	return input;
}

ostream&
operator<<
	(
	ostream&		output,
	const J2DDataPoint&	pt
	)
{
	output << pt.x << ' ' << pt.xerr << ' ' << pt.xmerr << ' ';
	output << pt.y << ' ' << pt.yerr << ' ' << pt.ymerr;
	return output;
}

#define JTemplateType J2DDataPoint
#include <JArray.tmpls>
#undef JTemplateType
